Bug 1750265 - configure name server in host will cause cli command hanging
Summary: configure name server in host will cause cli command hanging
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: GlusterFS
Classification: Community
Component: cli
Version: 4.1
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-09-09 07:55 UTC by Tim
Modified: 2019-11-19 09:30 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-19 09:30:09 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)
dns tcp dump (79.69 KB, image/png)
2019-09-09 07:58 UTC, Tim
no flags Details

Description Tim 2019-09-09 07:55:52 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.add nameserver in file "/etc/resolv.conf"
2.execute cli command "gluster volume heal storage info split-brain"
3.cli command will hang some secends, this depends on how much nameserver you config on host

Actual results:
# time gluster volume heal storage info split-brain
Brick 192.168.2.5:/.storage
Status: Connected
Number of entries in split-brain: 0

Brick 192.168.2.6:/.storage
Status: Connected
Number of entries in split-brain: 0


real    0m45.451s
user    0m0.044s
sys     0m0.027s


Expected results:
sbg_SC-1:~ # time gluster volume heal storage info split-brain
Brick 192.168.2.5:/.storage
Status: Connected
Number of entries in split-brain: 0

Brick 192.168.2.6:/.storage
Status: Connected
Number of entries in split-brain: 0


real    0m0.699s
user    0m0.058s
sys     0m0.011s


Additional info:
according to the tcpdump, I found glusterfs will always send DNS query to the nameserver configure in host, the query name is "/var/run/glusterd.socket", I think this cause cli command hangs.

Comment 1 Tim 2019-09-09 07:57:25 UTC
# gluster --version
glusterfs 4.1.5
Repository revision: git://git.gluster.org/glusterfs.git
Copyright (c) 2006-2016 Red Hat, Inc. <https://www.gluster.org/>
GlusterFS comes with ABSOLUTELY NO WARRANTY.
It is licensed to you under your choice of the GNU Lesser
General Public License, version 3 or any later version (LGPLv3
or later), or the GNU General Public License, version 2 (GPLv2),
in all cases as published by the Free Software Foundation.

Comment 2 Tim 2019-09-09 07:58:13 UTC
Created attachment 1613025 [details]
dns tcp dump

Comment 3 Tim 2019-09-09 08:02:12 UTC
there are 2 workaround we used now:
1. delete nameserver in /etc/resolv.conf
2. add "192.168.2.5 /var/run/glusterd.socket" into "/etc/hosts"

Comment 4 Sanju 2019-09-18 09:18:56 UTC
Hi Tim,

I have nameserver added into /etc/resolve.conf which is generated by NetworkManager. I am still able to execute all the cli commands without any delay. I suspect, it is a configuration issue on your setup. Please check and get back.

Thanks,
Sanju

Comment 5 Sanju 2019-11-19 09:30:09 UTC
As this is working in my setup without any issue, I'm closing this bug as worksforme. If you happen to see this issue, please feel free to re-open.


Note You need to log in before you can comment on or make changes to this bug.